// flow-typed signature: 4d2519e047e31299d1cc35741f9b42bf
// flow-typed version: <<STUB>>/assets-webpack-plugin_v^3.8.4/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'assets-webpack-plugin'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'assets-webpack-plugin' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'assets-webpack-plugin/dist/index' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/getAssetKind' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/getFileExtension' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/isHMRUpdate' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/isSourceMap' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/output/createOutputWriter' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/output/createQueuedWriter' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/pathTemplate' {
  declare module.exports: any;
}

declare module 'assets-webpack-plugin/dist/lib/utils/error' {
  declare module.exports: any;
}

// Filename aliases
declare module 'assets-webpack-plugin/dist/index.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/index'>;
}
declare module 'assets-webpack-plugin/dist/lib/getAssetKind.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/getAssetKind'>;
}
declare module 'assets-webpack-plugin/dist/lib/getFileExtension.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/getFileExtension'>;
}
declare module 'assets-webpack-plugin/dist/lib/isHMRUpdate.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/isHMRUpdate'>;
}
declare module 'assets-webpack-plugin/dist/lib/isSourceMap.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/isSourceMap'>;
}
declare module 'assets-webpack-plugin/dist/lib/output/createOutputWriter.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/output/createOutputWriter'>;
}
declare module 'assets-webpack-plugin/dist/lib/output/createQueuedWriter.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/output/createQueuedWriter'>;
}
declare module 'assets-webpack-plugin/dist/lib/pathTemplate.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/pathTemplate'>;
}
declare module 'assets-webpack-plugin/dist/lib/utils/error.js' {
  declare module.exports: $Exports<'assets-webpack-plugin/dist/lib/utils/error'>;
}
declare module 'assets-webpack-plugin/index' {
  declare module.exports: $Exports<'assets-webpack-plugin'>;
}
declare module 'assets-webpack-plugin/index.js' {
  declare module.exports: $Exports<'assets-webpack-plugin'>;
}
